close all;clear all;clc
format short; format compact

g = @gLBracketDeflectionWithGradient;
nSamples = 10;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% the Naive Monte Carlo method
z = randn(3,nSamples);
gVal = zeros(nSamples,1);
for n = 1:nSamples
    disp(['MC Sample: ' num2str(n)]);
    gVal(n) = g(z(:,n));
end
pf = sum(gVal <0)/nSamples;
disp(['MC: nFunctionCalls = ' num2str(nSamples) '; pf = ' num2str(pf) ])

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% H-L method
[beta, zStar, pf,nFunctionCalls,flag] = HansoferLindND(g,3)
disp(['HL: nFunctionCalls = ' num2str(nSamples) '; pf = ' num2str(pf) ])
