function [g,grad_g] = BooleanAnd(g1,g2)
% Smooth approximation of max function
[g1,grad_g1] = g1(zVec);
[g2,grad_g2] = g2(zVec);

g = g1 + g2 - sqrt(g1.^2 + g2.^2);
grad_g(1) = grad_g1(1) + grad_g2(1)  + ( g1* grad_g1(1) +  g2* grad_g2(1))/sqrt(g1.^2 + g2.^2);
grad_g(2) = grad_g1(2) + grad_g2(2)  +( g1* grad_g1(2) +  g2* grad_g2(2))/sqrt(g1.^2 + g2.^2);



