function [f,df_dx,d2f_dx2] = variableArguments(x,c)
if (nargin == 1), c =1;end
f = 1-x.*exp(-x.^2/c);
if (nargout > 1), df_dx = (2*x^2*exp(-x^2/c))/c - exp(-x^2/c); end
if (nargout > 2), d2f_dx2 = (6*x*exp(-x^2/c))/c - (4*x^3*exp(-x^2/c))/c^2; end
