
%read the data 
plot(AB,CD,'.');
xlabel('AB'); ylabel('CD');

% analysis
N = numel(AB);
meanAB = mean(AB)
meanCD = mean(CD)
varianceAB = sum((AB-meanAB).*(AB-meanAB))/(N-1);% Variance
varianceCD = sum((CD-meanCD).*(CD-meanCD))/(N-1);% Variance

sigmaAB = sqrt(varianceAB)
sigmaCD = sqrt(varianceCD)

covarianceAB_CD = sum((AB-meanAB).*(CD-meanCD))/(N-1);
correlationAB_CD = covarianceAB_CD/(sigmaAB*sigmaCD)

return;
Sigma = [varianceAB covarianceAB_CD; covarianceAB_CD varianceCD]
