% uitable example
% create a cell; this allows adding text as entries
% If you only want to display numbers, then use Data = zeros(4,6);
Data = cell(4,6);% 4 experiments, 6 data per expt.

% observe the curly bracket (for cells)
Data(1,:) = {0.33 1e-10 0 1e2  1000.06 'Converged'};
Data(2,:) = {0.1 1e-10 88 1e-2  999 'Failed'};
Data(3,:) = {-0.44 1e-10 1.334 1e2  14.56 'Converged'};
Data(4,:) = {-0.43 0.001 0 1e6  155 'Converged'};
colnames = {'Col-1', 'Col-2', 'Col-3', 'Col-4','Col-5','Comment'};
rowNames = {'Problem-a','Problem-b','Problem-c','Problem-d'};
% we make the table editable so that the column seperators can be dragged
t = uitable(figure, 'Data', Data, 'ColumnName', colnames,'ColumnEditable',true, 'RowName', rowNames,'FontSize',10,...
    'Position',[20 20 600 100]);