function [f,x] = Beta_PDF(q,r,a,b,x)
% For the beta distribution, compute the probability distribution function
% over  the domain (a,b), given the two parameters q and r
if (nargin == 4) % x is not given, sample over [a,b]
    x =a:(b-a)/1000:b;
end
f = (x-a).^(q-1).*(b-x).^(r-1)/(b-a).^(q+r-1);
f = f./beta(q,r);



